Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSlide

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFSlide

All Implemented Interfaces:
  XSLFShapeContainer, poi.support.Iterable

    public final class XSLFSlide

extends XSLFSheet

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`void` | `draw(java.awt.Graphics2D graphics)` Render this sheet into the supplied graphics object
`XSLFBackground` | `getBackground()`
`XSLFComments` | `getComments()`
`boolean` | `getFollowMasterGraphics()`
`XSLFSheet` | `getMasterSheet()`
`XSLFNotes` | `getNotes()`
`XSLFSlideLayout` | `getSlideLayout()`
`XSLFSlideMaster` | `getSlideMaster()`
`XSLFTheme` | `getTheme()`
`java.lang.String` | `getTitle()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`
`XSLFSheet` | `importContent(XSLFSheet src)` Set the contents of this sheet to be a copy of the source sheet.
`void` | `setFollowMasterGraphics(boolean value)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, clear, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, getCommonSlideData, getPlaceholder, getPlaceholders, getShapes, getSlideShow, iterator, removeShape`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getMasterSheet

    public XSLFSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

### getSlideLayout

    public XSLFSlideLayout getSlideLayout()

### getSlideMaster

    public XSLFSlideMaster getSlideMaster()

### getComments

    public XSLFComments getComments()

### getNotes

    public XSLFNotes getNotes()

### getTitle

    public java.lang.String getTitle()

  Returns:
    title of this slide or empty string if title is not set

### getTheme

    public XSLFTheme getTheme()

  Returns:
    theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

### getBackground

    public XSLFBackground getBackground()

  Overrides:
    `getBackground` in class `XSLFSheet`
  Returns:
    the information about background appearance of this slide

### getFollowMasterGraphics

    public boolean getFollowMasterGraphics()

  Overrides:
    `getFollowMasterGraphics` in class `XSLFSheet`
  Returns:
    whether shapes on the master slide should be shown or not.

### setFollowMasterGraphics

    public void setFollowMasterGraphics(boolean value)

  Parameters:
    `value` - whether shapes on the master slide should be shown or not.

### draw

    public void draw(java.awt.Graphics2D graphics)

  Description copied from class: `XSLFSheet`
  Render this sheet into the supplied graphics object

  Overrides:
    `draw` in class `XSLFSheet`

### importContent

    public XSLFSheet importContent(XSLFSheet src)

  Description copied from class: `XSLFSheet`
  Set the contents of this sheet to be a copy of the source sheet. This method erases any existing shapes and replaces them with object from the source sheet.

  Overrides:
    `importContent` in class `XSLFSheet`
  Parameters:
    `src` - the source sheet to copy data from
  Returns:
    modified 'this'

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD